Subject: [Web-bot-auth] Proposal: Domain Root Identity Anchor for Origin/Publisher Metadata Discovery
From: <[email-masked]>
To: <[email-masked]>
Date: Fri, 5 Jun 2026 06:17:54 +0000 (UTC)
List-Id: Authentication of non-human users to human-oriented Web sites <web-bot-auth.ietf.org>

Hello WebBotAuth WG,

I would like to bring a proposal to the group for discussion regarding a standardized mechanism for conveying Origin/Publisher identity and metadata to automated clients using an existing, widely used identifier: the domain root.

Today, automated clients (including crawlers, AI agents, and retrieval systems) lack a deterministic, machine‑readable way to discover the canonical identity of the Origin/Publisher behind a domain. Existing mechanisms such as robots.txt and llms.txt provide policy and content‑level signals, but they do not establish a verifiable identity reference that bots can rely on for provenance, trust, or Origin/Publisher information.

The mechanism I am proposing defines a domain‑root “Identity Anchor” — a machine‑readable JSON/JSON‑LD document discoverable via predictable endpoints and referenced from existing well‑known files. This Anchor provides Origin/Publisher identity, organizational metadata, and optional cryptographic material, forming a stable identity layer that automated clients can use when interacting with a site. It also acts as a deterministic root‑of‑trust reference for verifying the provenance of site‑level policies.

Key points:

• The Anchor is a discovery mechanism in v1, but its structure allows inclusion of a public key or link to a verifiable credential in future revisions.
• The mechanism is unidirectional in v1 (site → bot), but is designed to support a bidirectional authentication loop where bots can bind their requests to the Origin/Publisher identity they have discovered.
• The Anchor can be complemented by an HTTP response header (e.g., “Bot‑Operator‑Identity” or “Origin‑Identity‑Anchor”) for environments where header‑level signaling is preferred.

Reference implementation:
https://1euroseo.com/llms.txt 
https://1euroseo.com/identity.jsonld

Draft specification (WICG Issue #295):
https://github.com/marin-popov/semantic-anchor

I believe this aligns with the WG deliverable to define mechanisms for conveying additional information about a requesting bot using domain‑based identifiers, and I would appreciate feedback from the group on whether this work is appropriate for further discussion or development within WebBotAuth.

Best regards,
Marin